# Unibar

Simple bar written in Rust

# Description

* A tool that returns variety of components in a string suitable to use in a
  status bar

# Usage

* Use the `--help` option for usage information:

```sh
Usage: unibar [OPTIONS]

Options:
  -s, --weather-station <WEATHER_STATION>
          Name of the weather station

          [default: khio]

  -m, --weather-metric
          Use Metric units in weather data. Imperial units otherwise

  -p, --music-progress
          Show music progess

  -D, --debug-json
          Show JSON data returned by query

  -h, --help
          Print help (see a summary with '-h')

  -V, --version
          Print version
```

# Example output

* Default

```shell
$ target/release/unibar
🌧️ 55.94°F 𝄞 Dire Straits - Tunnel of Love
```

* With music progress

```shell
$ target/release/unibar --music-progress
🌧️ 55.94°F 𝄞 Dire Straits - Tunnel of Love [ 22% 14:23]
```
